begin
  require "rake-version"
rescue LoadError => e
  abort "WARNING: Failed to load rake-version gem - cause: #{e.message}.\n" \
    "\tYou won't be able to manipulate with version via Rake tasks until you resolve the problem."
end

require "rake"
require "dtc_rake/config"
require "dtc_rake/ui"

include DtcRake::UI
config = DtcRake::Config.instance

RakeVersion::Tasks.new do |v|
  v.copy *config.version_files, all: true
end
