require "rake"
require "fileutils"
require "dtc_rake/config"
require "dtc_rake/product"

product = DtcRake::Product.instance

deps = []
if product.has_gem
  deps << :gem
  deps << :yardoc
end
deps << :cmd if product.has_cmd
deps << :vuc if product.has_vuc
deps << :dockerfiles if product.has_dockerfiles

namespace :build do
  desc "Builds all packs"
  task :all => deps
end
