require "rake"
require "fileutils"
require "dtc_rake/config"
require "dtc_rake/product"
require "dtc_rake/ui"
require "dtc_rake/util"

include DtcRake::UI
product = DtcRake::Product.instance

if product.has_cmd
  namespace :build do
    desc "Builds pack with command server"
    task :cmd do
      DtcRake.check_jruby!
      DtcRake.check_bundler!
      announce "Building command server pack"

      FileUtils.cd product.cmd_project do
        system "rake package"
      end

      DtcRake.mv_to_output_dir(product.cmd_project, product.cmd_file_name)
    end
  end
end
