require "rake"
require "fileutils"
require "dtc_rake/config"
require "dtc_rake/product"
require "dtc_rake/ui"
require "dtc_rake/util"

include DtcRake::UI
product = DtcRake::Product.instance

if product.has_gem
  namespace :build do
    desc "Builds pack with command client Ruby gem"
    task :gem do
      announce "Building command client Ruby gem pack"
      FileUtils.cd product.gem_project do
        system "rake package"
      end

      DtcRake.mv_to_output_dir(product.gem_project, product.gem_file_name)
    end
  end
end
